Web lists-archives.com

Re: [Samba] Fwd: Re: Erro Upgrade Samba 4.6.3 to 4.8




On Mon, 2018-03-19 at 14:55 -0300, Carlos wrote:
> Sorry ma but I do not understand.
> I understand that for now I should not use Samba 4.8.
> Should return to old (minh old version 4.6.3), but I did not understand what to do (you mentioned the sambaundoguididx).
> 
> Could you explain please?

To return to 4.6 (I would suggest 4.7 myself, as we fixed the locking
issue in that version) you should first run the sambaundoguididx script
to restore the database format. 

Otherwise it will fail likewise.

Sorry,

Andrew Bartlett

> Regards;
> 
> On 19-03-2018 14:50, Andrew Bartlett wrote:
> > On Mon, 2018-03-19 at 14:44 -0300, Carlos via samba wrote:
> > > Hi!
> > > 
> > > Okay, just run sambaundoguidindex? And then start samba? Or something else?
> > 
> > Don't run Samba 4.8 with that DB (yet). 
> > 
> > Andrew Bartlett
> > 
> > > Regards;
> > > 
> > > 
> > > On 19-03-2018 14:40, Andrew Bartlett via samba wrote:
> > > > On Mon, 2018-03-19 at 16:55 +0000, Rowland Penny via samba wrote:
> > > > > On Mon, 19 Mar 2018 13:17:41 -0300
> > > > > Carlos via samba <samba@xxxxxxxxxxxxxxx> wrote:
> > > > > 
> > > > > > Hi
> > > > > > 
> > > > > > I dot used distro packages, i compilated samba.
> > > > > 
> > > > > Okay
> > > > > 
> > > > > > 1° - Stop samba
> > > > > > 
> > > > > > 2° - Donwload version 4.8.0
> > > > > > 
> > > > > > 3 ° I executed -> ./configure     --prefix=/opt/samba --enable-debug
> > > > > > --enable-selftest -j2  and make , and make install
> > > > > > 
> > > > > 
> > > > > Yes, but what version of Samba did you upgrade from ?
> > > > > Normally, if you just upgrade it should just work, but there are some
> > > > > changes in 4.8.0 that mean you need to wait a short while before doing
> > > > > anything, see here:
> > > > > 
> > > > > https://wiki.samba.org/index.php/Samba_4.8_Features_added/changed#UPGRADING
> > > > > 
> > > > > > 4° - Start samba
> > > > > > 
> > > > > > 5° - Error and samba dot work
> > > > > > 
> > > > > > 6° - send mail for this list
> > > > > > 
> > > > > > 7° - Install winbind with you recomendation
> > > > > 
> > > > > Ahh, I initially thought that you were using the distro packages and
> > > > > as you aren't, you do not need any of the distro Samba packages.
> > > > > 
> > > > > > 8° - I talk with you
> > > > > 
> > > > > Reading your log fragment, it appears that winbind is crashing, but
> > > > > the problem seems to start earlier:
> > > > > 
> > > > >   Mar 19 11:32:09 dc-linux-09 samba: task[nbtd][12946]:   Failed to find
> > > > >   object DC=interno,DC=XXXXX,DC=com,DC=br for attribute fsmoRoleOwner -
> > > > >   Cannot find DN DC=interno,DC=XXXXXX,DC=com,DC=br to get attribute
> > > > >   fsmoRoleOwner for reference dn: No such Base DN:
> > > > >   DC=interno,DC=XXXXXX,DC=com,DC=br
> > > > 
> > > > This is the failed re-index thing we had brought up by a number of
> > > > other posters late last week.  I'll be working on that today.
> > > > 
> > > > Run the sambaundoguidindex script and stay with 4.7 for now until I can
> > > > fix it.  A patch for (what I think is) the core issue is in master, I
> > > > just need to make the re-index also bulletproof.
> > > > 
> > > > Sadly we allow a transaction with a partial re-index to succeed where
> > > > we need to actually ensure if that if index operations fail (ever) that
> > > > we prevent transactions from being committed.
> > > > 
> > > > Andrew Bartlett
>  
-- 
Andrew Bartlett                       http://samba.org/~abartlet/
Authentication Developer, Samba Team  http://samba.org
Samba Developer, Catalyst IT          http://catalyst.net.nz/services/samba


-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba